#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xd97505ff, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x74c88829, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x23020f46, "");
SYMBOL_CRC(rdma_res_to_id, 0x4fc444bd, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x1fc1cfb4, "");
SYMBOL_CRC(rdma_create_user_id, 0x75d4bab8, "");
SYMBOL_CRC(rdma_create_qp, 0xfc5ff8ae, "");
SYMBOL_CRC(rdma_destroy_qp, 0xffe4c84c, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x53635ed5, "");
SYMBOL_CRC(rdma_destroy_id, 0xc2498799, "");
SYMBOL_CRC(rdma_get_service_id, 0x7d160be4, "");
SYMBOL_CRC(rdma_read_gids, 0x54369839, "");
SYMBOL_CRC(rdma_set_service_type, 0x6245a2ed, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x41e6060a, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x585a30e9, "");
SYMBOL_CRC(rdma_set_ib_path, 0xadfc279d, "");
SYMBOL_CRC(rdma_resolve_route, 0x13627d7f, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xed865a34, "");
SYMBOL_CRC(rdma_set_afonly, 0xbd829d29, "");
SYMBOL_CRC(rdma_listen, 0xd18acd9f, "");
SYMBOL_CRC(rdma_resolve_addr, 0x0763c647, "");
SYMBOL_CRC(rdma_bind_addr, 0x07c16e15, "");
SYMBOL_CRC(rdma_connect_locked, 0x79a0c1b5, "");
SYMBOL_CRC(rdma_connect, 0x97d84fd1, "");
SYMBOL_CRC(rdma_connect_ece, 0xc8abc5ad, "");
SYMBOL_CRC(rdma_accept, 0x4c2c2418, "");
SYMBOL_CRC(rdma_accept_ece, 0xd296659d, "");
SYMBOL_CRC(rdma_lock_handler, 0xbe95edd6, "");
SYMBOL_CRC(rdma_unlock_handler, 0xa6355be6, "");
SYMBOL_CRC(rdma_notify, 0xc293f02e, "");
SYMBOL_CRC(rdma_reject, 0x47fedb06, "");
SYMBOL_CRC(rdma_disconnect, 0xf828eb4e, "");
SYMBOL_CRC(rdma_join_multicast, 0x6525a6e6, "");
SYMBOL_CRC(rdma_leave_multicast, 0x3a79566b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa616aff4, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x59cd0e85, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb2bd037d, "ib_unregister_client" },
	{ 0x891e77c2, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86dfefd2, "ib_send_cm_sidr_rep" },
	{ 0xf143b9e5, "bpf_trace_run4" },
	{ 0xecff1914, "config_group_init" },
	{ 0xc6982654, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x725d7627, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb13553df, "trace_raw_output_prep" },
	{ 0xd3964f89, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x1043afe4, "__trace_trigger_soft_disabled" },
	{ 0xc2de9e59, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x361b08b3, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e2f4c17, "rdma_query_gid" },
	{ 0x6820f19d, "rt6_lookup" },
	{ 0xa0acb16, "rdma_translate_ip" },
	{ 0x72170360, "bpf_trace_run2" },
	{ 0x52d0d4e9, "rdma_dev_access_netns" },
	{ 0x3c3c3148, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xcda1d4f7, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x1bf48241, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa5a47c33, "register_pernet_subsys" },
	{ 0x7bccb252, "trace_event_buffer_commit" },
	{ 0x86a995f5, "ip_mc_inc_group" },
	{ 0x8b00e7f1, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x24eb02de, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xf4350b95, "iw_cm_connect" },
	{ 0x73e9fba3, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x28a66889, "rdma_addr_cancel" },
	{ 0x9980f9f, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfd6ccb96, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x4a7299f1, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x8fea6be7, "ib_sa_path_rec_get" },
	{ 0xba179fb, "ib_create_cm_id" },
	{ 0xa0bc8682, "__ip_mc_dec_group" },
	{ 0xe29637ae, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5a8b7ba6, "perf_trace_run_bpf_submit" },
	{ 0xeaf04b0d, "ib_init_ah_from_mcmember" },
	{ 0x89141a8c, "rdma_destroy_ah_attr" },
	{ 0x7f4b3589, "ib_set_client_data" },
	{ 0x5d56ecdb, "init_net" },
	{ 0x4c992ab, "ib_get_cached_pkey" },
	{ 0xffe7f318, "configfs_register_subsystem" },
	{ 0x71cb2a99, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x43904f76, "rdma_put_gid_attr" },
	{ 0xe245a849, "config_group_init_type_name" },
	{ 0x7e87c5d8, "dev_get_by_index" },
	{ 0xe712a9d5, "iw_destroy_cm_id" },
	{ 0xe9ac6902, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe472841e, "ib_send_cm_rep" },
	{ 0x6a0d8283, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x157b40c9, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xad543a57, "bpf_trace_run1" },
	{ 0x8bd42467, "ib_destroy_qp_user" },
	{ 0x4c1ac891, "unregister_pernet_subsys" },
	{ 0x12465aca, "ib_cm_init_qp_attr" },
	{ 0xc2401eb1, "_dev_warn" },
	{ 0x8200c32f, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xfd26075b, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xc9e4146d, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x3ac30350, "ib_get_cached_port_state" },
	{ 0x83672526, "ib_send_cm_mra" },
	{ 0xd3764305, "rdma_restrack_del" },
	{ 0xa5569311, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x677ef8c2, "bpf_trace_run3" },
	{ 0x962de622, "__put_net" },
	{ 0xf436c7ca, "rdma_restrack_parent_name" },
	{ 0xfa0c2927, "iw_cm_accept" },
	{ 0x47274333, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa5978883, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf15e78c3, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x717d75, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xefc164e, "iw_cm_init_qp_attr" },
	{ 0x96397dec, "dst_release" },
	{ 0x79fc7a37, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc959c0d1, "ib_send_cm_dreq" },
	{ 0xb4567789, "ib_send_cm_req" },
	{ 0x324fab7e, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xff911b8e, "ib_sa_join_multicast" },
	{ 0x3941ce01, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2d2f6ca8, "rdma_get_gid_attr" },
	{ 0x9f4ec5b3, "rdma_restrack_new" },
	{ 0xad8627e8, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x34a3d0f9, "iw_cm_listen" },
	{ 0xe800a940, "ib_send_cm_rej" },
	{ 0x657d7b19, "rdma_copy_src_l2_addr" },
	{ 0xc129675d, "kmalloc_caches" },
	{ 0x23befd2e, "rdma_resolve_ip" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "457F68338D12B70E04B6B47");
MODULE_INFO(rhelversion, "10.1");
