#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x06a3c543, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x9d2d580c, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xcbf19588, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x78e95941, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x5ce686f9, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xf7e30397, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x5983b4ef, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x64f8a842, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x9105da7e, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x8c33894f, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xd981cb6b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xa025b339, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x300aa773, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x0ec1c675, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xfef36c2a, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xa484a5a1, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x3cd603bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa5459dbd, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe552c841, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf8e9fdbf, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x36c999b6, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3a6b5175, "crypto_ahash_final" },
	{ 0x4fd0cf1, "crypto_ahash_digest" },
	{ 0x72b01404, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0x229b129b, "skb_prepare_seq_read" },
	{ 0x81bdbfa6, "skb_seq_read" },
	{ 0x64aa830a, "skb_abort_seq_read" },
	{ 0x92c57e62, "iscsi_conn_failure" },
	{ 0x14d789a6, "iscsi_conn_setup" },
	{ 0xcca1c71, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x52db5be0, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x697b11d9, "iscsi_itt_to_ctask" },
	{ 0x3004e91f, "iscsi_get_task" },
	{ 0xde9e283f, "iscsi_update_cmdsn" },
	{ 0xfd35559b, "iscsi_requeue_task" },
	{ 0x4138a6ce, "iscsi_put_task" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe95e9722, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3027e2a3, "iscsi_complete_pdu" },
	{ 0xac2b1668, "iscsi_verify_itt" },
	{ 0x8f680d82, "__iscsi_complete_pdu" },
	{ 0x1d4a92d4, "param_ops_int" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "10.1");
