#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xe4b5c64a, "");
SYMBOL_CRC(is_hsr_master, 0x83409da7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde4d5077, "dev_set_mtu" },
	{ 0xc9850178, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfafe2a8e, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa458408f, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x385ab94b, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xc76bf6dd, "rtnl_link_register" },
	{ 0x45950d2a, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2d6fa34a, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x1359f9cd, "dev_set_promiscuity" },
	{ 0x40b35e68, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x71b8fd2c, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x288e45c6, "unregister_netdevice_queue" },
	{ 0x73ebaa26, "netlink_ack" },
	{ 0x767ce98c, "__pskb_copy_fclone" },
	{ 0x35a42d84, "dev_uc_unsync" },
	{ 0xe69ee583, "ether_setup" },
	{ 0xc538d8e, "netlink_broadcast_filtered" },
	{ 0xdc88e003, "netdev_err" },
	{ 0xa3f5a25b, "netdev_upper_dev_link" },
	{ 0xf15510b1, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdf59a65f, "netdev_rx_handler_unregister" },
	{ 0x9b5572ae, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x76147627, "__alloc_skb" },
	{ 0x7e596d82, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb78fb61f, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5368b87f, "rtnl_link_unregister" },
	{ 0x5d56ecdb, "init_net" },
	{ 0xe43435f1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x60394d10, "mark_tech_preview" },
	{ 0xdc9869f, "sk_skb_reason_drop" },
	{ 0xbf80434a, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe9ac6902, "dev_get_by_index_rcu" },
	{ 0xdbc84ba3, "netdev_printk" },
	{ 0x44a64cc5, "skb_push" },
	{ 0x6c545218, "debugfs_remove" },
	{ 0xed858db5, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x844eeba4, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x77d888b2, "__pskb_pull_tail" },
	{ 0x8abc5630, "netif_rx" },
	{ 0x8b303972, "__netdev_alloc_skb" },
	{ 0xa681f8c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1cd07ed5, "seq_read" },
	{ 0xf3d005d9, "debugfs_rename" },
	{ 0x41132fb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf4adf4a4, "call_netdevice_notifiers" },
	{ 0x3699129a, "dev_set_allmulti" },
	{ 0x258c8901, "seq_write" },
	{ 0xf15e78c3, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3276335c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x94f6152c, "seq_printf" },
	{ 0x5a566b23, "skb_clone" },
	{ 0x7d9e4de9, "netif_carrier_on" },
	{ 0x6fc712e2, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xed30e1e1, "netdev_rx_handler_register" },
	{ 0x7a9314ca, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7112a7af, "genl_unregister_family" },
	{ 0x291e41b0, "dev_disable_lro" },
	{ 0x27da33e1, "dev_kfree_skb_any_reason" },
	{ 0xe8c66d83, "single_open" },
	{ 0x2cd8c1f3, "debugfs_create_dir" },
	{ 0x20bf1d07, "dev_mc_unsync" },
	{ 0xd164d6d3, "genl_register_family" },
	{ 0xda3fc4f6, "netdev_core_stats_inc" },
	{ 0xc129675d, "kmalloc_caches" },
	{ 0xca31bccd, "netdev_info" },
	{ 0xe01c55b6, "dev_mc_sync_multiple" },
	{ 0x645abf1e, "register_netdevice" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F1DDADF9A7734F0922575E");
MODULE_INFO(rhelversion, "10.1");
