#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xd1ceebfb, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x25b449d5, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xc4567bc1, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x68cb6132, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xec88287c, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x5da43e78, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x39f3adfd, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x85d0fc8c, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x3bc99c8e, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xadafad5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd96ca87c, "dst_cache_set_ip4" },
	{ 0x49bd0980, "kernel_bind" },
	{ 0x8dff6cf4, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x71b8fd2c, "netdev_warn" },
	{ 0x78b8d748, "udp_tunnel_nic_ops" },
	{ 0xd6fd1c7a, "ip_route_output_flow" },
	{ 0xa12e6f2a, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x8f3b4c16, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5fd12e, "iptunnel_xmit" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x35d130d5, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa681f8c4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe3d19403, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x37f1df46, "dst_cache_get_ip4" },
	{ 0x74761e0d, "sock_create_kern" },
	{ 0xf4adf4a4, "call_netdevice_notifiers" },
	{ 0xf15e78c3, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc608249f, "metadata_dst_alloc" },
	{ 0x96397dec, "dst_release" },
	{ 0x9cd9d485, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x714a938d, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xc129675d, "kmalloc_caches" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DACA5850397D94AAFBE6EC8");
MODULE_INFO(rhelversion, "10.1");
