#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xdaabba30, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x9bd794fd, "_gpl");
SYMBOL_CRC(tls_get_record, 0x0515e575, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x4b38c23f, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xc5b13c3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf964e06a, "sk_msg_free" },
	{ 0x12552ddd, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf8e9fdbf, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc4f62238, "tcp_read_sock" },
	{ 0xf143b9e5, "bpf_trace_run4" },
	{ 0x69daff5d, "skb_copy_bits" },
	{ 0x9e04880, "sk_page_frag_refill" },
	{ 0xa458408f, "skb_put" },
	{ 0x3e2ac7b5, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xee47a9d6, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb13553df, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xc93143da, "sk_psock_msg_verdict" },
	{ 0x39fec94, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x1043afe4, "__trace_trigger_soft_disabled" },
	{ 0xc2de9e59, "trace_event_printf" },
	{ 0xf9832e57, "iov_iter_get_pages2" },
	{ 0xdb9eec56, "___pskb_trim" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x361b08b3, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x92e8535e, "clean_acked_data_enable" },
	{ 0x5702af01, "skb_splice_bits" },
	{ 0xb65a1556, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8f912078, "crypto_aead_setauthsize" },
	{ 0x64b3074d, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x694376b1, "sk_stream_error" },
	{ 0x283b922c, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x5959a7a5, "sk_msg_memcopy_from_iter" },
	{ 0x761c4bb, "sk_error_report" },
	{ 0xa5a47c33, "register_pernet_subsys" },
	{ 0x408d1407, "put_cmsg" },
	{ 0x46fcbf9f, "__sk_flush_backlog" },
	{ 0x7bccb252, "trace_event_buffer_commit" },
	{ 0xf554a392, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8bbfd25c, "sk_psock_tls_strp_read" },
	{ 0x6ead8a2b, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x76147627, "__alloc_skb" },
	{ 0xbf14b333, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xcc33b307, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x711375a5, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xff8f4ba8, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5a8b7ba6, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x27ff2922, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe9f21bf6, "crypto_aead_encrypt" },
	{ 0xdc9869f, "sk_skb_reason_drop" },
	{ 0x75818aae, "bpf_trace_run5" },
	{ 0xab6a2ce6, "sk_free" },
	{ 0xcf92cb7e, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xce4ead34, "__sk_mem_reclaim" },
	{ 0x382a8b1c, "sk_stream_wait_memory" },
	{ 0xff182e8, "nla_put" },
	{ 0x6a0d8283, "trace_event_reg" },
	{ 0xd6d04392, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5976410d, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x994c3eb8, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x51ba2155, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xeb8049a0, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xad543a57, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4c1ac891, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xfe5fd764, "sock_efree" },
	{ 0xf2a98d9c, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaa670b2, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd29c3ce6, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x816f0133, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0xa681f8c4, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xdf50c5f9, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x3243a27c, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x677ef8c2, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x2b6f67bd, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8b15057a, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x47274333, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4eda346, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9cdee030, "__folio_put" },
	{ 0x9678ad3f, "remove_proc_entry" },
	{ 0xf15e78c3, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x94f6152c, "seq_printf" },
	{ 0x54713fb2, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5a566b23, "skb_clone" },
	{ 0x96397dec, "dst_release" },
	{ 0x5ced10d2, "_copy_from_iter" },
	{ 0xb5afe158, "skb_copy_header" },
	{ 0xa34c79cb, "sk_msg_trim" },
	{ 0x90a7ac9c, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xadfb50b5, "netdev_sk_get_lowest_dev" },
	{ 0xf4e9aa48, "sk_msg_alloc" },
	{ 0x2c3cb6ee, "_copy_from_iter_nocache" },
	{ 0x22537acb, "tcp_rate_check_app_limited" },
	{ 0xa087dd97, "tcp_poll" },
	{ 0x9d6e6fc, "iov_iter_revert" },
	{ 0x79d9d7c1, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x26835d8a, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x157e799, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc129675d, "kmalloc_caches" },
	{ 0x25512272, "tcp_read_done" },
	{ 0x681ff395, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x97debbf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE259EA88B619197E904E7E");
MODULE_INFO(rhelversion, "10.1");
